(* Copyright (C) 2015-2016 Bloomberg Finance L.P.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * In addition to the permissions granted to you by the LGPL, you may combine
 * or link a "work that uses the Library" with a publicly distributed version
 * of this file to produce a combined library or application, then distribute
 * that combined work under the terms of your choosing, with no requirement
 * to comply with the obligations normally placed on you by section 4 of the
 * LGPL version 3 (or the corresponding section of a later version of the LGPL
 * should you choose to use a later version).
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. *)

let read_dependency_graph_from_mlast_file fn  =
  let ic = open_in_bin fn in
  try
    let dep_size = input_binary_int ic in
    let dep_data = really_input_string ic dep_size in
    let splitted_data = Ext_string.split dep_data '\t' in
    let set = match splitted_data with
    | final_length :: rest ->
      let set = String_set.of_list rest in
      assert (String_set.cardinal set = (int_of_string final_length));
      set
    | _ -> assert false in
    close_in ic;
    set
  with exn ->
    close_in ic;
    raise exn
